#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main ( void )
{
	FILE *f;
	char imeBiljke[20][10], novoIme[10];
	int brojBiljaka=0, kolicinaBiljke[20], novaKolicina, i;
	double cijenaBiljke[20], novaCijena, ukupnaCijena=0;

	if ((f=fopen("plac.in", "rt")) == NULL)
	{
		printf ("Ne mogu otvoriti plac.in!\n");
		exit (0);
	}

	while (fscanf (f, "%s%d%lf", novoIme, &novaKolicina, &novaCijena) == 3)
	{
		int nasao = 0;
		ukupnaCijena += novaKolicina*novaCijena;

		// nadji biljku
		for (i=0; i<brojBiljaka; i++)
			if (!strcmp(imeBiljke[i], novoIme))
			{
				kolicinaBiljke[i] += novaKolicina;
				nasao = 1;
				break;
			}

		if (!nasao)
		{
			strcpy (imeBiljke[brojBiljaka], novoIme);
			kolicinaBiljke[brojBiljaka] = novaKolicina;
			cijenaBiljke[brojBiljaka] = novaCijena;
			brojBiljaka++;
		}
	}

	fclose (f);

	if ((f=fopen("plac.out", "wt")) == NULL)
	{
		printf ("Ne mogu otvoriti plac.out!\n");
		exit (0);
	}

	fprintf (f, "%lf\n", ukupnaCijena);
	for (i=0; i<brojBiljaka; i++)
		fprintf (f, "%s %d %lf\n", 
			imeBiljke[i], kolicinaBiljke[i], cijenaBiljke[i]);

	fclose (f);

	return 0;
}
